@echo off

rem $Id: run.bat,v 1.22 2010/05/06 14:26:40 kcraghu Exp $

call .\setcommonenv.bat

set PATH=%PATH%;"%SERVER_HOME%\lib\native"

SET JAVA="%JAVA_HOME%\bin\java"

set JAVA_OPTS= -Dcatalina.home="%SERVER_HOME%" -Dserver.home="%SERVER_HOME%" -Dserver.stats=10000  -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file="%SERVER_HOME%\conf\logging.xml" -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir="%SERVER_HOME%" -Ddb.home="%DB_HOME%" -Djava.library.path="%SERVER_HOME%\lib\native" -Dcheck.tomcatport="true" -DDBStartupRetries=120  -Dsun.net.client.defaultReadTimeout=15000 -Dsun.net.client.defaultConnectTimeout=3000

set CLASS_PATH=%SERVER_HOME%\lib;%SERVER_HOME%\lib\AdvCoreLogging.jar;%SERVER_HOME%\bin\run.jar;%SERVER_HOME%\bin\commons-logging-api.jar;%JAVA_HOME%\lib\tools.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\AdventNetUpdateManagerInstaller.jar

%JAVA% %JAVA_OPTS% -cp "%CLASS_PATH%" com.adventnet.mfw.util.JdkAndPortCheck
if %errorlevel% NEQ 0 goto END

%JAVA% %JAVA_OPTS% -cp %CLASS_PATH%;%SERVER_HOME%\lib\NFACOL.jar com.adventnet.netflow.dbutils.NFResourceCheck %SERVER_HOME%\conf\server.xml
if %errorlevel% NEQ 0 goto END_NO_PAUSE

:RESTART

call .\DBStatus.bat
call .\startDB.bat %PORT%
:chkstatus
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%PORT% -u %USERNAME%
%PINGSTR% >> NUL 2>&1
if %ERRORLEVEL% NEQ 0 (
call .\startDB.bat %PORT%
rem sleep 1
ping 127.0.0.1 -n 1 -w 1000 > nul
goto chkstatus
)

rem ================================================================================
rem JVM memory allocation parameters. Uncomment and modify as appropriate.

rem Settings for 512MB RAM machine
SET JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx256m

rem Settings for 1GB RAM machine
rem SET JAVA_OPTS=%JAVA_OPTS% -Xms256m -Xmx512m

rem Settings for 2GB or more RAM machine
rem SET JAVA_OPTS=%JAVA_OPTS% -Xms512m -Xmx1g
rem ================================================================================

echo ===============================================================================
echo .
echo .
echo   SERVER_HOME: %SERVER_HOME%
echo .
echo   JAVA: %JAVA%
echo .
echo   JAVA_OPTS: %JAVA_OPTS%
echo .
echo .
echo ===============================================================================
echo .
cd ..\lib
if NOT EXIST AdventNetUpdateManagerInstaller.jar_new goto start
copy AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
del AdventNetUpdateManagerInstaller.jar_new
:start
cd ..\bin
%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
set errlevel=%ERRORLEVEL%
echo %errlevel%
rem IF ERRORLEVEL 0 IF NOT ERRORLEVEL 1 GOTO END_NO_PAUSE
IF %errlevel% EQU 10 GOTO RESTART
IF %errlevel% EQU 126 GOTO UPDATE
IF %errlevel% EQU 127 GOTO REVERT
goto END_NO_PAUSE
:UPDATE
echo A New patch has been updated in CentralServer.
echo Collector has been shutdown, to update the same.
echo Once the patch is applied, Collector will be started Automatically.
rem sleep 10
call .\DBStatus.bat
call .\startDB.bat %PORT%
:chkstatus1
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%PORT% -u %USERNAME%
%PINGSTR% >> NUL 2>&1
if %ERRORLEVEL% NEQ 0 (
call .\startDB.bat %PORT%
rem sleep 1
ping 127.0.0.1 -n 1 -w 1000 > nul
goto chkstatus1
)

cd ..
	set UPDATEMGR_CP=.\lib\AdventNetUpdateManagerInstaller.jar;.\lib\AdvCoreLogging.jar
	set JAVA_UP=.\jre\bin\java
	set LD_LIBRARY_PATH=.\lib\native;%LD_LIBRARY_PATH%
    %JAVA_UP% -Xmx100m  -Ddb.home=.\mysql -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Dtier-type=BE -Djava.library.path=.\lib\native -Dtier-id=BE1 -cp %UPDATEMGR_CP% com.adventnet.tools.update.installer.UpdateManager  -u .\conf -ppmPath .\temp\patch\patch.ppm -option i -c
	cd bin
	IF %errorlevel% EQU 0 GOTO RESTART
	GOTO END_NO_PAUSE
:REVERT
echo A patch has been reverted in CentralServer.
echo Collector has been shutdown, to revert the same.
echo Once the patch is reverted, Collector will be started Automatically.
rem sleep 10
call .\DBStatus.bat
call .\startDB.bat %PORT%
:chkstatus2
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%PORT% -u %USERNAME%
%PINGSTR% >> NUL 2>&1
if %ERRORLEVEL% NEQ 0 (
call .\startDB.bat %PORT%
rem sleep 1
ping 127.0.0.1 -n 1 -w 1000 > nul
goto chkstatus2
)

cd ..
	set REVERT_VER=
	for /f "delims=" %%a in ('type .\conf\NetFlow\revert.txt 2^>NUL') do (
			set REVERT_VER=%%a
			)
	echo "reveting to"
	echo %REVERT_VER%
	set UPDATEMGR_CP=.\lib\AdventNetUpdateManagerInstaller.jar;.\lib\AdvCoreLogging.jar
    set JAVA_UP=.\jre\bin\java
    set LD_LIBRARY_PATH=.\lib\native;%LD_LIBRARY_PATH%
    %JAVA_UP% -Xmx100m  -Ddb.home=.\mysql -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Dtier-type=BE -Djava.library.path=.\lib\native -Dtier-id=BE1 -cp %UPDATEMGR_CP% com.adventnet.tools.update.installer.UpdateManager  -u .\conf -c -version %REVERT_VER% -option u
     cd bin 
    IF %errorlevel% EQU 0 goto RESTART
    GOTO END_NO_PAUSE
:END
if "%NOPAUSE%" == "" pause

:END_NO_PAUSE

