#!/bin/sh

. ./setCommonEnv.sh

############################### JAVA SYSTEM PROPERTIES ########################################################
JAVA_OPTS="-Dcatalina.home=$SERVER_HOME -Dserver.home=$SERVER_HOME -Dserver.stats=10000 -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file=$SERVER_HOME/conf/logging.xml -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir=$SERVER_HOME -Ddb.home=$DB_HOME -Dcheck.tomcatport=true -DDBStartupRetries=120 -Dsun.net.client.defaultReadTimeout=15000 -Dsun.net.client.defaultConnectTimeout=3000"
################################################################################################################
$JAVA $JAVA_OPTS -cp $SERVER_HOME/bin/run.jar com.adventnet.mfw.util.JdkAndPortCheck
if [ $? -ne 0 ]
then
	exit 1
fi

LD_LIBRARY_PATH=$SERVER_HOME/lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$SERVER_HOME/lib/native"



CLASS_PATH=$SERVER_HOME/lib:$SERVER_HOME/bin/run.jar:$SERVER_HOME/lib/AdvCoreLogging.jar:$SERVER_HOME/bin/commons-logging-api.jar:$JAVA_HOME/lib/tools.jar:$SERVER_HOME/lib/AdventNetNPrevalent.jar:$SERVER_HOME/lib/AdventNetUpdateManagerInstaller.jar

$JAVA -cp $CLASS_PATH:$SERVER_HOME/lib/NFACOL.jar $JAVA_OPTS com.adventnet.netflow.dbutils.NFResourceCheck $SERVER_HOME/conf/server.xml
if [ $? -ne 0 ]
then
	exit 1
fi

# ==============================================================================
# JVM memory allocation parameters. Uncomment and modify as appropriate.

# Settings for 512MB RAM machine
JAVA_OPTS="$JAVA_OPTS -Xms128m -Xmx256m"

# Settings for 1GB RAM machine
#JAVA_OPTS="$JAVA_OPTS -Xms256m -Xmx512m"

# Settings for 2GB or more RAM machine
#JAVA_OPTS="$JAVA_OPTS -Xms512m -Xmx1g"

# ==============================================================================

echo ""
echo "JAVA_HOME   :" $JAVA
echo "SERVER_HOME :" $SERVER_HOME
echo "DATE        :" `date`
echo ""
cont=0
while [ $cont -eq 0  ]
do
$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
error=$?
cont=1;

if [ $error -eq 126 ]
then
	echo "A New patch has been updated in CentralServer."
	echo "Collector has been shutdown, to update the same."
	echo "Once the patch is applied, Collector will be started Automatically"
	cd ../lib
	if [ -f AdventNetUpdateManagerInstaller.jar_new ];
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	fi
	cd ..

	pwd
	UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
	JAVA_UP=./jre/bin/java
	LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH
	$JAVA_UP -Xmx100m  -Ddb.home=./mysql -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -ppmPath ./temp/patch/patch.ppm -option i -c  
	cd bin
	if [ $? -eq 0 ]
	then
		cont=0
		#$JAVA -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
	fi

fi

if [ $error -eq 127 ]
then
	echo "A patch has been reverted in CentralServer."
	echo "Collector has been shutdown, to revert the same."
	echo "Once the patch is reverted, Collector will be started Automatically"


	cd ../lib
	if [ -f AdventNetUpdateManagerInstaller.jar_new ];
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	fi
	cd ..

	pwd
	revertTo=`cat ./conf/NetFlow/revert.txt`
	echo $revertTo
	pwd
	UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
	JAVA_UP=./jre/bin/java
	LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH
	$JAVA_UP -Xmx100m  -Ddb.home=./mysql -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -c -option u -version $revertTo  
	cd bin
	if [ $? -eq 0 ]
	then
		cont=0
		#$JAVA -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
	fi
fi
done

if [ $error -eq 10 ]
then
	rm -rf ../temp/Data_*.zip
	sh run.sh
fi
