clear
. ./setCommonEnv.sh
export host=localhost
export mysql=$DB_HOME/bin/"mysql -h $host -u root -P 33306 -S ../mysql/tmp/mysql.sock"
export CONF_FILE=../conf/server.xml
export UTIL_CLASSPATH=../lib/NFACS.jar
export JAVA=../jre/bin/java
$JAVA -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $CONF_FILE 1
 if [ $? -ne 254 ]
      then
       info="NetFlow Server is currently running. Please shut down the server to run this script."
       echo $info
       exit 1
      fi
function dropDatabases()
{
	dbPattern=$1
	list=`echo "show databases like '$dbPattern'" | $mysql| grep -v Database`
	for db in $list
	do
		echo "dropped $db"
		echo "set foreign_key_checks=0; drop database $db"| $mysql
	done
	echo "set foreign_key_checks=0; drop database if exists mickeylite " |$mysql 
	echo "dropped mickeylite"
}

function mysqlStartupCheck()
{
	mysqlstate=`$DB_HOME/bin/mysqladmin ping -S $DB_HOME/tmp/mysql.sock 2>/dev/null | awk '{print($3)}'`
	if [ "$mysqlstate" == "alive" ]  
	then
		echo "Database already started"
		return 0
	else
		return 1
	fi
}

function waitTillMysqlStarts()
{
	while true
	do
		mysqlStartupCheck
		if [ $? -ne 1 ]
		then
			return
		else
			sleep 1
		fi
	done
}

mysqlStartupCheck
if [ $? -ne 0 ]
then	
	. ./startDB.sh 33306 $PWD/../mysql/tmp  &
	waitTillMysqlStarts
fi
dropDatabases "%db"
#$DB_HOME/bin/mysqladmin -u root create jbossdb -h $host -P 33306  -S "../mysql/tmp/mysql.sock"
. ./stopDB.sh
rm -rf ../temp/*
rm $DB_HOME/data/ib*
rm $DB_HOME/data/hotstand-relay-bin*
rm $DB_HOME/data/mysql-bin.*
rm $DB_HOME/data/master.info 
rm $DB_HOME/data/relay-log.info
rm -f ServerType.conf
rm -f ../conf/NetFlow/NetflowServerDetails.txt
        echo "Do you want to remove the logs (y/n)?" 
        read input
	if [ "$input" = "y" ]
	then	
	rm -rf ../logs/*
	rm -rf ../democollector/logs/*
	rm -rf ../hotstandby/logs/*
	rm -rf ../syncup/logs/*
	fi
	rm -f ../democollector/conf/NetFlow/collectorFile.txt
