@echo off
set RES=0

call .\setCommonenv.bat
set PARAMETER=%1
set SERVICEPARAM=%2
set USERNAME="root"
set NETFLOW_HOME=../conf/server.xml
set UTIL_CLASSPATH=../lib/NFACS.jar
%JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
set e=%ERRORLEVEL%
if %e% NEQ -2  goto ERRMSG
set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%DB_PORT% -u %USERNAME%
%PINGSTR% >> NUL 2>&1
if %ERRORLEVEL%  EQU 0 goto MESSAGE

if "%PARAMETER%"=="" goto START

if "%PARAMETER%"=="-noreplication" goto START

goto SETJAVAANDCLASSPATH
:RETURN1
	goto CHKPORT
:RETURN2

if EXIST %~dp0%..\temp\replication goto REMOTE
del /Q /F %MYSQL_DATA_DIR%\mysql-bin.* >>NUL 2>&1
del /Q /F %MYSQL_DATA_DIR%\hotstand*-relay-bin* >>NUL 2>&1

:REMOTE
rem set TEMP_PORT=33301
rem set PINGSTRTEMP=%DB_HOME%\bin\mysqladmin ping --port=%TEMP_PORT% -u %USERNAME%

rem :LOOP9
rem	call .\startDB.bat %TEMP_PORT%
rem	ping 127.0.0.1 >NUL
rem	%PINGSTRTEMP% >> NUL 2>&1
rem	if %errorlevel% NEQ 0 goto LOOP9

set JAVA_OPTS= -Dserver.home=%SERVER_HOME%
set CLASSPATH=%SERVER_HOME%\lib\NFACS.jar 
if "%SERVICEPARAM%" == "-service" set JAVA_OPTS=%JAVA_OPTS% -DstartingAsService="true"
%JAVA% %JAVA_OPTS% -cp "%CLASSPATH%" com.adventnet.nfaee.service.MasterHotStandCheck %PARAMETER% 
set RES=%errorlevel%
rem call .\stopDB.bat %TEMP_PORT%
rem :LOOP16
rem	%PINGSTRTEMP% >> NUL 2>&1
rem	if %errorlevel% EQU 0 goto LOOP16
rem	ping 127.0.0.1	>NUL 

call .\setCommonenv.bat
if %RES% EQU 0 goto END 
if %RES% EQU 120 goto STARTHOTSTANDBY
if %RES% EQU 121 goto SYNCUPSTART
if %RES% EQU 122 goto MASTERSTART 
if %RES% EQU 123 goto MASTERSYNC
goto STOPDB

:SETJAVAANDCLASSPATH
	if %RES% EQU 0 goto NORMAL 
	if %RES% EQU 120 goto HOTSTAND
	if %RES% EQU 121 goto SYNC
	if %RES% EQU 122 goto PRIMARY
	if %RES% EQU 123 goto PRIMARYSYNC
        goto END

:NORMAL
	set USERDIR=%~dp0%\
	set MASTER_SYNC="skip"
	set REPLI="false"
	goto SETJAVAPATH

:HOTSTAND
	set USERDIR=%~dp0%\..\hotstandby\bin
	set MASTER_SYNC="skip"
	set REPLI="true"
	goto SETJAVAPATH

:SYNC
	set USERDIR=%~dp0%\..\syncup\bin
	set MASTER_SYNC="false"
	set REPLI="false"
	goto SETJAVAPATH

:PRIMARYSYNC
	set USERDIR=%~dp0%\..\syncup\bin
	set MASTER_SYNC="true"
	set REPLI="false"
	goto SETJAVAPATH

:PRIMARY
	set USERDIR=%~dp0%\
	set MASTER_SYNC="skip"
	set REPLI="true"

:SETJAVAPATH
	set NEW_SERVER_HOME=%USERDIR%\..
	set PATH=%PATH%;"%SERVER_HOME%\lib\native"

	set JAVA_OPTS=-Duser.dir="%USERDIR%" -Dcatalina.home="%NEW_SERVER_HOME%" -Dserver.home="%NEW_SERVER_HOME%" -Dserver.stats=10000 -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file="%NEW_SERVER_HOME%\conf\logging.xml" -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir="%NEW_SERVER_HOME%" -Ddb.home="%DB_HOME%" -Dcheck.db.version=false -Djava.library.path="%SERVER_HOME%\lib\native" -Dcheck.tomcatport="true" -Dfile.encoding=utf8 -Dcom.adventnet.mfw.bean.BeanProxy=com.adventnet.sas.share.ExtendedBeanProxy -Dservice=NetFlow -Duser.language=en -Duser.country=US -Ddb.data=%MYSQL_DATA_DIR% -Dmysql.port=%DB_PORT% -Drepli.status=%REPLI% -Dmaster.sync=%MASTER_SYNC% -DDBStartupRetries=120  
	if "%SERVICEPARAM%" == "-service" set JAVA_OPTS=%JAVA_OPTS% -DstartingAsService="true" -Xrs 
	if "%SERVICEPARAM%" == "-service" set JAVA_OPTS=%JAVA_OPTS% -Djava.awt.headless=false
	if "%SERVICEPARAM%" == "" set JAVA_OPTS=%JAVA_OPTS% -Djava.awt.headless=true

	set CLASS_PATH=%SERVER_HOME%\lib;%SERVER_HOME%\lib\AdvCoreLogging.jar;%USERDIR%\run.jar;%SERVER_HOME%\bin\commons-logging-api.jar;%JAVA_HOME%\lib\tools.jar;%SERVER_HOME%\lib\AdventNetNPrevalent.jar;%SERVER_HOME%\lib\AdventNetUpdateManagerInstaller.jar

	rem ================================================================================
	rem JVM memory allocation parameters. Uncomment and modify as appropriate.

	rem Settings for 1GB RAM machine
	SET JAVA_OPTS=%JAVA_OPTS% -Xms128m -Xmx256m

	rem Settings for 2GB or more RAM machine
	rem SET JAVA_OPTS=%JAVA_OPTS% -Xms512m -Xmx1g
	rem ================================================================================

	echo ===============================================================================
	echo .
	echo .
	echo   SERVER_HOME: %NEW_SERVER_HOME%
	echo .
	echo   JAVA: %JAVA%
	echo .
	echo   JAVA_OPTS: %JAVA_OPTS%
	echo .
	echo .
	echo ===============================================================================
	echo .

	if "%PARAMETER%"=="" goto START1
	if "%PARAMETER%"=="-noreplication" goto START1
	if %RES% EQU 0 goto RETURN1 
	if %RES% EQU 120 goto RETURN3 
	if %RES% EQU 121 goto RETURN4
	if %RES% EQU 122 goto RETURN5
	if %RES% EQU 123 goto RETURN6
        goto END 

:CHKPORT
	%JAVA% %JAVA_OPTS% -cp "%CLASS_PATH%" com.adventnet.mfw.util.JdkAndPortCheck
	if %errorlevel% NEQ 0 goto END

	%JAVA% %JAVA_OPTS% -cp %CLASS_PATH%;%SERVER_HOME%\lib\NFACS.jar com.adventnet.netflow.dbutils.NFResourceCheck %SERVER_HOME%\conf\server.xml
	if %errorlevel% NEQ 0 goto END

	if "%PARAMETER%"=="" goto LOOP1
	if "%PARAMETER%"=="-noreplication" goto LOOP1
	goto RETURN2 


:MASTERSYNC
	echo starting as syncup process ....
	:LOOP13
		call .\startDB.bat %DB_PORT%
		ping 127.0.0.1 >NUL
		%PINGSTR% >> NUL 2>&1
		if %errorlevel% NEQ 0 goto LOOP13
		
	goto SETJAVAANDCLASSPATH
	:RETURN6
		%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
                set RES=%errorlevel%
		if %RES% NEQ 120 goto STOPDB
		rem call .\stopDB.bat
		:LOOP14
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% EQU 0 goto LOOP14
			ping 127.0.0.1	>NUL          
		goto STARTHOTSTANDBY

:START

	if EXIST %~dp0%..\temp\replication goto INFORMUSER
        if EXIST %~dp0%\ServerType.conf goto INFORMUSER
	del /Q /F %MYSQL_DATA_DIR%\mysql-bin.* >>NUL 2>&1
	del /Q /F %MYSQL_DATA_DIR%\hotstand*-relay-bin* >>NUL 2>&1

        
	goto SETJAVAANDCLASSPATH
	:START1
		goto CHKPORT
		:LOOP1
			call .\startDB.bat %DB_PORT%
			ping 127.0.0.1 >NUL
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% NEQ 0 goto LOOP1
		%DB_HOME%\bin\mysqladmin -P %DB_PORT% -u "root" create jbossdb >> NUL 2>&1
		%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
		set RES=%errorlevel%
		:LOOP43
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% EQU 0 goto LOOP43
			ping 127.0.0.1	>NUL          
                if %RES% EQU 125 goto LOOP1 

		rem call .\stopDB.bat
		goto END

:STARTHOTSTANDBY
	echo Starting as Hotstandby .......
	del ServerType.conf
	@echo on
	echo hotstandby> ServerType.conf
	@echo off
	:LOOP2
		call .\slaveDB.bat %DB_PORT%
		ping 127.0.0.1 >NUL
		%PINGSTR% >> NUL 2>&1
		if %errorlevel% NEQ 0 goto LOOP2

	goto SETJAVAANDCLASSPATH
	:RETURN3
		
		%DB_HOME%\bin\mysqladmin -P %DB_PORT% -u "root" create hsdb >> NUL 2>&1
		%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
                set RES=%errorlevel%
		rem call .\stopDB.bat
		:LOOP15
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% EQU 0 goto LOOP15
			ping 127.0.0.1 >NUL
			
			if %RES% EQU 127 goto REVERTPATCH
			if %RES% EQU 126 goto UPDATEPATCH
			if %RES% NEQ 121 goto END
:SYNCUPSTART
	echo starting as syncup process ....

	:LOOP22
		call .\startDB.bat %DB_PORT%
		ping 127.0.0.1 >NUL
		%PINGSTR% >> NUL 2>&1
		if %errorlevel% NEQ 0 goto LOOP22

	set SERVER_HOME=%~dp0%\..
	set CLASSPATH=%SERVER_HOME%\lib\NFACS.jar;%SERVER_HOME%\lib\mysql_connector.jar
	%JAVA% -cp "%CLASSPATH%" com.adventnet.nfaee.service.UpdateGridAddress %DB_PORT%

	goto SETJAVAANDCLASSPATH
	:RETURN4
		%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
                set RES=%errorlevel%
		rem call .\stopDB.bat

		:LOOP7
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% EQU 0 goto LOOP7
			ping 127.0.0.1	>NUL                               
			if %RES% NEQ 122 goto END

:MASTERSTART
	echo starting as Primary .......
	del ServerType.conf
	@echo on
	echo master> ServerType.conf
	@echo off
	:LOOP4
		call .\masterDB.bat %DB_PORT%
		%PINGSTR% >> NUL 2>&1
		if %errorlevel% NEQ 0 goto LOOP4
	if %RES% EQU 125 set RES=122
	goto SETJAVAANDCLASSPATH
	:RETURN5
		%JAVA% %JAVA_OPTS%  -cp "%CLASS_PATH%" com.adventnet.mfw.Starter
                set RES=%errorlevel%
		rem call .\stopDB.bat
		:LOOP5
			%PINGSTR% >> NUL 2>&1
			if %errorlevel% EQU 0 goto LOOP5
			ping 127.0.0.1 >NUL
		if %RES% EQU 125 goto LOOP4 
                if %RES% NEQ 123 goto END 
		goto MASTERSYNC 

:STOPDB
	call .\stopDB.bat
	:LOOP3
		%PINGSTR% >> NUL 2>&1
		if %errorlevel% EQU 0 goto LOOP3
		ping 127.0.0.1	>NUL
	goto END

:INFORMUSER 
	echo REPLICATION IS ENABLED START USING 'runPrimary.bat' OR 'runHotstandby.bat'
goto END

:MESSAGE
	echo MySQL server is running. Please stop MySQL and try again.
goto END
	
:ERRMSG
	echo Another instance of the application is already running.
	goto END

:REVERTPATCH
	set RES=120

	echo "A patch has been reverted in Primary CentralServer."
        echo "Hotstandby has been shutdown, to revert the same."
        echo "Once the patch is reverted, Hotstandby will be started Automatically"

	cd ..
		set REVERT_VER=
		for /f "delims=" %%a in ('type .\conf\NetFlow\revert.txt 2^>NUL') do (
			set REVERT_VER=%%a
			)
		echo %REVERT_VER%
		set UPDATEMGR_CP=.\lib\AdventNetUpdateManagerInstaller.jar;.\lib\AdvCoreLogging.jar
  	  set JAVA_UP=.\jre\bin\java
  	  set LD_LIBRARY_PATH=.\lib\native;%LD_LIBRARY_PATH%
  	  %JAVA_UP% -Ddb.home=.\mysql -Dproduct.home=. -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Djava.library.path=.\lib\native -Dtier-id=BE1 -cp %UPDATEMGR_CP% com.adventnet.tools.update.installer.UpdateManager  -u .\conf -c -version %REVERT_VER% -option u 
	cd bin
	IF %errorlevel% NEQ 0 goto END
GOTO CHKINSTALLER 
	rem cd ..\lib
	rem if NOT EXIST AdventNetUpdateManagerInstaller.jar_new goto SERVICE
	rem copy AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
	rem del AdventNetUpdateManagerInstaller.jar_new
	rem cd ..\bin
	rem echo "hotstandby" > ForceStart.conf

rem goto STARTHOTSTANDBY 

:UPDATEPATCH
	set RES=120
	echo "A New patch has been updated in Primary CentralServer."
	echo "Hotstandby has been shutdown, to update the same."
        echo "Once the patch is applied, Hotstandby will be started Automatically"

	cd ..
	set JAVA_UP=.\jre\bin\java
	set LD_LIBRARY_PATH=.\lib\native;%LD_LIBRARY_PATH%
	set UPDMGR_CP=.\lib\AdvCoreLogging.jar;.\lib\AdventNetUpdateManagerInstaller.jar;
	%JAVA_UP% -Ddb.home=.\mysql -Dproduct.home=. -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Djava.library.path=.\lib\native -Dtier-id=BE1 -cp %UPDMGR_CP% com.adventnet.tools.update.installer.UpdateManager  -u .\conf -ppmPath .\Patch\patch.ppm -option i -c
	cd bin
	IF %errorlevel% NEQ 0 GOTO END

:CHKINSTALLER
	cd ..\lib
	if NOT EXIST AdventNetUpdateManagerInstaller.jar_new goto START 
	copy AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
	del AdventNetUpdateManagerInstaller.jar_new
:START
	cd ..\webapps\
	rmdir /Q /S netflow
	cd ..\bin
	GOTO STARTHOTSTANDBY
:END

if "%SERVICEPARAM%" == "-service" EXIT

