#!/bin/sh
RES=0
input=0
export RES
serverid=""
export PARAMETER=$1

if [ -z $PARAMETER ]
then
	if test -f ./ServerType.conf 
	then
		       echo "REPLICATION IS ENABLED START USING 'runPrimary.sh' OR 'runHotstandby.sh'"
		       exit 1
	fi
	
	export PARAMETER="-noreplication"
	
fi

export SERVICEPARM=$2

MYSQLSTOP="MYSQL SERVER IS RUNNIG PLEASE STOP THE MYSQL SERVER AND START"
export MYSQLSTOP
. ./setCommonEnv.sh

export CONF_FILE=../conf/server.xml
export UTIL_CLASSPATH=../lib/NFACS.jar
$JAVA -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $CONF_FILE 1
 if [ $? -ne 254 ]
      then
       info="NetFlow Server is currently running."
       echo $info
       exit 0 
 fi


function setjavaOptAndClasspath()
{
	export HEADLESS="true"
	if [ $1 -eq 120 ]
	then
		USERDIR=`pwd`/../hotstandby/bin
		export USERDIR
		export MASTER_SYNC="skip"
		export REPLI="true"
		export HEADLESS="false"
	elif [ $1 -eq 121 ]
	then
		USERDIR=`pwd`/../syncup/bin
		export USERDIR
		export MASTER_SYNC="false"
		export REPLI="false"
	elif [ $1 -eq 122 ]
	then
		USERDIR=`pwd`
		export USERDIR
		export MASTER_SYNC="skip"
		export REPLI="true"
	elif [ $1 -eq 123 ]
	then
		USERDIR=`pwd`/../syncup/bin
		export USERDIR
		export MASTER_SYNC="true"
		export REPLI="false"
	else
		USERDIR=`pwd`
		export USERDIR
		export REPLI="false"
		export MASTER_SYNC="skip"
	fi
	
	NEW_SERVER_HOME=$USERDIR/..
	export NEW_SERVER_HOME

	JAVA_OPTS="-Duser.dir=$USERDIR -Dcatalina.home=$NEW_SERVER_HOME -Dserver.home=$NEW_SERVER_HOME -Dserver.stats=10000 -Djava.util.logging.manager=com.adventnet.logging.LogManager -Djava.util.logging.config.file=$NEW_SERVER_HOME/conf/logging.xml -Djava.util.logging.config.class=com.adventnet.logging.LoggingScanner -Dlog.dir=$NEW_SERVER_HOME -Ddb.home=$DB_HOME -Dcheck.db.version=false -Dcheck.tomcatport=true -Dcom.adventnet.workengine.serverid=$serverid -Dfile.encoding=utf8 -Djava.awt.headless=$HEADLESS -Dcom.adventnet.mfw.bean.BeanProxy=com.adventnet.sas.share.ExtendedBeanProxy -Duser.language=en -Duser.country=US -Ddb.data=$MYSQL_DATA_DIR -Dmysql.port=$DB_PORT -Drepli.status=$REPLI -Dmaster.sync=$MASTER_SYNC"

	if [ "$SERVICEPARM" = "-service" ]
	then
		JAVA_OPTS="$JAVA_OPTS -DstartingAsService=true "
	fi

	LD_LIBRARY_PATH=$SERVER_HOME/lib/native:$LD_LIBRARY_PATH
	export LD_LIBRARY_PATH
	
	JAVA_OPTS="$JAVA_OPTS -Djava.library.path=$SERVER_HOME/lib/native"
	
	CLASS_PATH=$SERVER_HOME/lib:$USERDIR/run.jar:$SERVER_HOME/lib/AdvCoreLogging.jar:$SERVER_HOME/bin/commons-logging-api.jar:$JAVA_HOME/lib/tools.jar:$SERVER_HOME/lib/AdventNetNPrevalent.jar:$SERVER_HOME/lib/AdventNetUpdateManagerInstaller.jar

	# ==============================================================================
	# JVM memory allocation parameters. Uncomment and modify as appropriate.

	# Settings for 1GB RAM machine
	JAVA_OPTS="$JAVA_OPTS -Xms128m -Xmx256m"

	# Settings for 2GB or more RAM machine
	#JAVA_OPTS="$JAVA_OPTS -Xms512m -Xmx1g"

	# ==============================================================================
	echo ""
	echo "JAVA_HOME   :" $JAVA_HOME
	echo "SERVER_HOME :" $NEW_SERVER_HOME
	echo "DATE        :" `date`
	echo ""
}

function chkJdkAndResourceCheck()
{
 
      $JAVA $JAVA_OPTS -cp $NEW_SERVER_HOME/bin/run.jar com.adventnet.mfw.util.JdkAndPortCheck
      if [ $? -ne 0 ]
      then
	exit 1
       fi

	       
       $JAVA -cp $CLASS_PATH:$SERVER_HOME/lib/NFACS.jar $JAVA_OPTS com.adventnet.netflow.dbutils.NFResourceCheck $SERVER_HOME/conf/server.xml
       if [ $? -ne 0 ]
       then
		exit 1
	fi
}

function chkMasHotStand()
{
	#export TEMP_PORT=33301
	#. ./startDB.sh $TEMP_PORT $PWD/../mysql/tmp &
	#waitTillMysqlStarts
        export JAVA_OPTS="-Dserver.home=$SERVER_HOME"
       
	if [ "$SERVICEPARM" = "-service" ]
	then
		JAVA_OPTS="$JAVA_OPTS -DstartingAsService=true"
	fi

	CLASSPATH=$SERVER_HOME/lib/NFACS.jar
	export CLASSPATH
	
	$JAVA -cp $CLASSPATH  $JAVA_OPTS com.adventnet.nfaee.service.MasterHotStandCheck $1
	TEMP=$?
	
	#. ./stopDB.sh $TEMP_PORT
	#waitTillMysqlStops
	. ./setCommonEnv.sh
	if [ $TEMP -eq 0 ]
	then
		exit 1
	elif [ $TEMP -eq 122 ]
	then
		RES=$TEMP
		##########################
		#going to start as primary
		##########################
		export input=0
	elif [ $TEMP -eq 120 ]
	then
		RES=$TEMP
		############################
		#going to start as hotstandby
		#############################
		export input=1

	elif [ $TEMP -eq 121 ]
	then
		########################################################
		#going to start syncup mode and then start as primary
		########################################################

		. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
		waitTillMysqlStarts
		updateGridAddress
		setjavaOptAndClasspath $TEMP
		$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
		RES=$?

  		#. ./stopDB.sh $DB_PORT 
		waitTillMysqlStops
			
		if [ $RES -ne 122 ]
		then
			exit 1
		fi
		export input=0
	else
		####################################################
		#going to start syncup mode and then start as hotstandby
		###################################################
		. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
		waitTillMysqlStarts
		setjavaOptAndClasspath $TEMP
		$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
		RES=$?

		#. ./stopDB.sh $DB_PORT
		waitTillMysqlStops
		if [ $RES -ne 120 ]
		then
			exit 1
		fi
		export input=1

	fi
}

function updateGridAddress()
{
	export CLASSPATH=`pwd`/../lib/NFACS.jar:`pwd`/../lib/mysql_connector.jar
	$JAVA -cp $CLASSPATH com.adventnet.nfaee.service.UpdateGridAddress $DB_PORT
}

function mysqlStartupCheck()
{
	mysqlstate=`$DB_HOME/bin/mysqladmin ping -S $DB_HOME/tmp/mysql.sock 2>/dev/null | awk '{print($3)}'`
	if [ "$mysqlstate" == "alive" ]  
	then
		return 0
	else
		return 1
	fi
}

function toggleUser()
{
	if [ $input -eq 0 ]
	then
		while true 
		do
			
			##########################################
			#going to start as primary server
			##########################################

			. ./masterDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			echo master > ServerType.conf
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?

			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
		
			if [ $RES -eq 125 ]
			then
				return	
			fi

			if [ $RES -ne 123 ]
			then
				exit 1
			fi

			####################################################
			#going to start a syncup mode to start as hotstandby
			####################################################
		
			. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?

			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
			if [ $RES -ne 120 ]
			then
			exit 1
			fi

			#########################################
			#going to start as hotstandby
			##########################################
			
			. ./slaveDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			echo hotstandby > ServerType.conf
			setjavaOptAndClasspath $RES
			$DB_HOME/bin/mysqladmin -u root create hsdb -S "$DB_HOME/tmp/mysql.sock" > NUL 2>&1

			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?

			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
			if [ $RES -eq 126 ]
			then
				return 
			fi
			
			if [ $RES -eq 127 ]
			then
				return
			fi

			if [ $RES -ne 121 ]
			then
				exit 1
			fi

			#########################################
			#going to start as in syncup mode
			#########################################
			. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			updateGridAddress
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?

			 # . ./stopDB.sh $DB_PORT 
			waitTillMysqlStops
			if [ $RES -ne 122 ]
			then
				exit 1
			fi
			
		done
	else
		while true 
		do
			###########################################
			#going to start as hotstandby server
			###########################################
			. ./slaveDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			echo hotstandby > ServerType.conf
			setjavaOptAndClasspath $RES
			$DB_HOME/bin/mysqladmin -u root create hsdb -S "$DB_HOME/tmp/mysql.sock"
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?
			
			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
			
			if [ $RES -eq 126 ]
			then
				return 
			fi
			
			if [ $RES -eq 127 ]
			then
				return
			fi

			if [ $RES -ne 121 ]
			then
				exit 1
			fi

			##########################################
			#syncup is called 
			##########################################
	
			. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			updateGridAddress
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?
			
			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
			if [ $RES -ne 122 ]
			then
				exit 1
			fi

			###########################################
			#going to start as primary server
			###########################################
		
			. ./masterDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
			echo master > ServerType.conf
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?
			#. ./stopDB.sh $DB_PORT 
			waitTillMysqlStops
			
			if [ $RES -eq 125 ]
			then
				return
			fi

			if [ $RES -ne 123 ]
			then
				exit 1
			fi
			

			##########################################
			#going to start as syncup mode
			##########################################
			. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
			waitTillMysqlStarts
		
			setjavaOptAndClasspath $RES
			$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
			RES=$?
			#. ./stopDB.sh $DB_PORT
			waitTillMysqlStops
			if [ $RES -ne 120 ]
			then
			exit 1
			fi

		done
	fi
}

function waitTillMysqlStops()
{
	while true
	do
		mysqlStartupCheck
		if [ $? -ne 1 ]
		then
			sleep 1
		else
			return 0

		fi
	done
}

function waitTillMysqlStarts()
{
	while true
	do
		mysqlStartupCheck
		if [ $? -ne 1 ]
		then
			return
		else
			sleep 1
		fi
	done
}
if [ "$PARAMETER" = "-noreplication" ]
then
	       if test -d $SERVER_HOME/temp/replication/
	       then
		       echo "REPLICATION IS ENABLED START USING 'runPrimary.sh' OR 'runHotstandby.sh'"
		       exit 1
	       else
			
		        rm $MYSQL_DATA_DIR/mysql-bin.* > NUL 2>&1
			rm $MYSQL_DATA_DIR/hotstand-relay-bin* >> NUL 2>&1
			rm $MYSQL_DATA_DIR/master.info >> NUL 2>&1 
			rm $MYSQL_DATA_DIR/relay-log.info >> NUL 2>&1

	       fi

	       setjavaOptAndClasspath $RES
	       
	       chkJdkAndResourceCheck
	      
		mysqlStartupCheck 
		if [ $? -ne 1 ]
		then
		
			echo $MYSQLSTOP  #"Mysql is running at " $DB_PORT 
			exit 1	
		fi
		
		while true
		do
	
		. ./startDB.sh $DB_PORT $PWD/../mysql/tmp &
		waitTillMysqlStarts
		$DB_HOME/bin/mysqladmin -u root create jbossdb -S "$DB_HOME/tmp/mysql.sock" > NUL 2>&1

		$JAVA  -cp $CLASS_PATH $JAVA_OPTS com.adventnet.mfw.Starter
		RES=$?
		
		if [ $RES -ne 125 ]
		then
			exit 1
		fi

		#. ./stopDB.sh $DB_PORT

		done


else
	setjavaOptAndClasspath $RES
	chkJdkAndResourceCheck

	mysqlStartupCheck
	if [ $? -ne 1 ]
	then

		echo $MYSQLSTOP 
		exit 1
	fi

	if test -d $SERVER_HOME/temp/replication/
	then
			chkMasHotStand $1
	else
			rm $MYSQL_DATA_DIR/mysql-bin.* > NUL 2>&1
			rm $MYSQL_DATA_DIR/hotstand-relay-bin* >> NUL 2>&1
			rm $MYSQL_DATA_DIR/master.info >> NUL 2>&1 
			rm $MYSQL_DATA_DIR/relay-log.info >> NUL 2>&1


			chkMasHotStand $1
	fi


		toggleUser

		while true
		do	
		if [ $RES -eq 125 ]
		then
			export input=0
			toggleUser

		elif [ $RES -eq 126 ]
		then
			echo "A New patch has been updated in Primary CentralServer."
      			echo "Hotstandby has been shutdown, to update the same."
	        	echo "Once the patch is applied, Hotstandby will be started Automatically"

			cd ..
			UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
			JAVA_UP=./jre/bin/java
			LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
			export LD_LIBRARY_PATH
			$JAVA_UP -Xmx100m  -Ddb.home=./mysql -Dproduct.home=. -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -ppmPath ./Patch/patch.ppm -option i -c 
			cd lib
			if [ -f AdventNetUpdateManagerInstaller.jar_new ];
			then
				cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
				rm -r AdventNetUpdateManagerInstaller.jar_new
			fi
			
			cd ../webapps
			rm -rf netflow
			cd ../bin

			. ./setCommonEnv.sh
			. ./stopDB.sh $DB_PORT 
			waitTillMysqlStops
			
			export RES=120
			export input=1
			toggleUser

		elif [ $RES -eq 127 ]
		then
			echo "A patch has been reverted in Primary CentralServer."
			echo "Hotstandby has been shutdown, to revert the same."
			echo "Once the patch is reverted, Hotstandby will be started Automatically"

			cd ..
			#REVERT PATCH
			UPDATEMGR_CP=./lib/AdventNetUpdateManagerInstaller.jar:./lib/AdvCoreLogging.jar
			JAVA_UP=./jre/bin/java
			LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
			export LD_LIBRARY_PATH
			revertTo=`cat ./conf/NetFlow/revert.txt`
			$JAVA_UP -Ddb.home=./mysql -Dproduct.home=. -Dserver.home=. -Dserver.dir=. -Dtools.discSpaceCheck=false -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $UPDATEMGR_CP com.adventnet.tools.update.installer.UpdateManager  -u ./conf -c -option u -version $revertTo
			cd lib
			if [ -f AdventNetUpdateManagerInstaller.jar_new ];
			then
				cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
				rm -r AdventNetUpdateManagerInstaller.jar_new
			fi
			cd ../webapps
			rm -rf netflow
			cd ../bin
			
			. ./setCommonEnv.sh
			. ./stopDB.sh $DB_PORT 
			waitTillMysqlStops
			export RES=120
			export input=1
			toggleUser
		else
			echo "Sucessfully NetFlowAnalyzer is shutdown"
			exit 0
		fi	

	done			

fi


exit



