# $Id: DBInfo.sh,v 1.4 2010/03/29 10:46:15 kcraghu Exp $
setPath()
{
	cd ../bin
	. ./setCommonEnv.sh
	cd ../troubleshooting

	if [ "x$NEW_SERVER_HOME" = "x" ]; then
		NEW_SERVER_HOME=$SERVER_HOME
		export NEW_SERVER_HOME
	fi

}

rootCheck()
{
msg="Script to be run as root user. Login as superuser and start DBInfo.sh  "
msg2="NetFlow Server not running. Please ensure that the NetFlow Analyzer Server is running before running this script"

JAVA_HOME=../jre
#NETFLOW_HOME=../server/default/conf/sample-bindings.xml
#UTIL_CLASSPATH=../server/default/lib/NetFlowUtils.jar;
JAVA=$JAVA_HOME/bin/java

export JAVA_HOME
export NETFLOW_HOME
export UTIL_CLASSPATH
export JAVA

#$JAVA "-Dcontext=mickeylite" -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $NETFLOW_HOME 1
# if [ $? -ne 254 ]
#then
#echo "NetFlow Analyzer Server running."
#else
#echo $msg2
#exit 1
#fi

#os=`uname -s`
#if [ "$os" = "Linux"  ]
#then
#rid=`id -u`
#if [ ${rid} -ne 0 ]
#    then
#    echo $msg
#    exit 1
#    fi
#fi
#
#if [ "$os" = "SunOS" ]
#then
#uid=`id | cut -d" " -f1`
#if [ "$uid" != "uid=0(root)" ]
#    then
#    echo $msg
#    exit 1
#    fi
#fi

}

initVar() {	
	fileName="tables.list"
	dbName="mickeylite"
	userName="root"
	password=""
	logfile="$SERVER_HOME/troubleshooting/info.log"	
	sock="$NEW_SERVER_HOME/mysql/tmp/mysql.sock"
        mysql="$NEW_SERVER_HOME/mysql/bin/mysql"
	src_1min="SrcIf1Min"
	dst_1min="DstIf1Min"
	src_pkt1min="SrcIfPkt1Min"
	dst_pkt1min="DstIfPkt1Min"
	buildlog="$SERVER_HOME/troubleshooting/BuildNumber.log"
}

getTableInfo() {
	log "Started processing based on list file $fileName"
	log ""
	for table in $tableList 
	do 
		if [ $table = $src_1min -o $table = $dst_1min -o $table = $src_pkt1min -o $table = $dst_pkt1min ] 
		then
		get1MinCount $table
		else
		getCount $table
		fi
	done
	
	getRouterCount NetFlow_Interface
	getRouterCount NetFlow_Router
	log ""
}

getCount()
{
		
		echo "select count(*),min(COLLECTION_TIME),max(COLLECTION_TIME) from $1 " | $mysql -S $sock  -u $userName $password $dbName >> ${logfile} 2>&1
		if [ $? -eq 0 ] 
		then
			log "$1 `date`"
			echo "Info obtained for $1"
		else
			log "Unable to get info from $1"
			echo "Unable to get info from $1"
		fi
	
}
get1MinCount()
{
		
		echo "select count(*) from $1 " | $mysql -S $sock  -u $userName $password $dbName >> ${logfile} 2>&1
		if [ $? -eq 0 ] 
		then
			log "$1 `date`"
			echo "Info obtained for $1"
		else
			log "Unable to get info from $1"
			echo "Unable to get info from $1"
		fi
	
}


getRouterCount()
{
		
		echo "select count(*) from $1 " | $mysql -S $sock  -u $userName $password $dbName >> ${logfile} 2>&1
		if [ $? -eq 0 ] 
		then
			log "$1 `date`"
			echo "Info obtained for $1"
		else
			log "Unable to get info from $1"
			echo "Unable to get info from $1"
		fi
	
}

log() {
	message="$1"
	echo "${message}" >> ${logfile} 2>&1
        echo "---------------------------------------------------------------" >> ${logfile} 2>&1
	#echo "${message}"
}

getTableList()
{
	touch $fileName
	touch temp.list
	echo "select LOOKUP_TABLENAME from MetaTable"|$mysql -S $sock  -u $userName $password $dbName >> temp.list
	sed -e '1d' temp.list >> $fileName
	touch temp1.list
	echo "select LOOKUP_TABLENAME ,max(END_INDEX) from RawMetaTable group by DEVICE_ID"|$mysql -S $sock  -u $userName $password $dbName >> temp1.list
	cat temp1.list | awk '{print($1)}' | sed -e '1d'  >> $fileName
	tableList=`cat $fileName`
	touch $logfile
}
getRawTableList()
{
log "RAW TABLES LIST"
	echo "select LOOKUP_TABLENAME from RawMetaTable"|$mysql -S $sock  -u $userName $password $dbName >> $logfile
log 
}

removeLogFiles()
{
	for name in $fileName temp.list $logfile temp1.list $buildlog
	do
	if [ -r $name ]
		then
		echo  "Deleting previous $name"
		rm -r $name
	fi
	done
}

getDBSize()
{
	log "Data base size : "
	ls -lch $NEW_SERVER_HOME/mysql/data >> $logfile
	du -ch $NEW_SERVER_HOME/mysql/data >> $logfile
}
getBuildNumber()
{
	 echo "select BUILD_NUMBER from NetFlow_Properties"|$mysql -S $sock  -u $userName $password $dbName >> $buildlog
}

main() {
	#rootCheck
	setPath
	initVar
	removeLogFiles
	getBuildNumber
	getTableList
	getTableInfo
	#getRawTableList
	getDBSize
	
}

main * 
