-- MySQL dump 8.22
--
-- Host: localhost    Database: netflow
---------------------------------------------------------
-- Server version	4.0.18-pro

--
-- Table structure for table 'ApplicationIn10Min'
--

CREATE TABLE IF NOT EXISTS ApplicationIn10Min (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  PRIMARY KEY  (ID),
  KEY ApplicationIn10Min_FKZ_IDX (IF_ID),
  KEY AppsIn_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `FK_851117198071792` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_861117198071792` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationIn10Min'
--



--
-- Table structure for table 'ApplicationIn24Hour'
--

CREATE TABLE IF NOT EXISTS ApplicationIn24Hour (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationIn24Hour_FKZ_IDX (IF_ID),
  KEY AppsIn24Hr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationIn24Hour_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsIn24Hr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationIn24Hour'
--



--
-- Table structure for table 'ApplicationIn6Hour'
--

CREATE TABLE IF NOT EXISTS ApplicationIn6Hour (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationIn6Hour_FKZ_IDX (IF_ID),
  KEY AppsIn6Hr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationIn6Hour_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsIn6Hr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationIn6Hour'
--



--
-- Table structure for table 'ApplicationInHourly'
--

CREATE TABLE IF NOT EXISTS ApplicationInHourly (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationInHourly_FKZ_IDX (IF_ID),
  KEY AppsInHr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationInHourly_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsInHr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationInHourly'
--



--
-- Table structure for table 'ApplicationInWeekly'
--

CREATE TABLE IF NOT EXISTS ApplicationInWeekly (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationInWeekly_FKZ_IDX (IF_ID),
  KEY AppsInW_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationInWeekly_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsInW_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationInWeekly'
--



--
-- Table structure for table 'ApplicationOut10Min'
--

CREATE TABLE IF NOT EXISTS ApplicationOut10Min (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  PRIMARY KEY  (ID),
  KEY ApplicationOut10Min_FKZ_IDX (IF_ID),
  KEY AppsOut_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `FK_871117198071850` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_881117198071850` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationOut10Min'
--



--
-- Table structure for table 'ApplicationOut24Hour'
--

CREATE TABLE IF NOT EXISTS ApplicationOut24Hour (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationOut24Hour_FKZ_IDX (IF_ID),
  KEY AppsOut24Hr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationOut24Hour_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsOut24Hr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationOut24Hour'
--



--
-- Table structure for table 'ApplicationOut6Hour'
--

CREATE TABLE IF NOT EXISTS ApplicationOut6Hour (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationOut6Hour_FKZ_IDX (IF_ID),
  KEY AppsOut6Hr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationOut6Hour_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsOut6Hr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationOut6Hour'
--



--
-- Table structure for table 'ApplicationOutHourly'
--

CREATE TABLE IF NOT EXISTS ApplicationOutHourly (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationOutHourly_FKZ_IDX (IF_ID),
  KEY AppsOutHr_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationOutHourly_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsOutHr_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationOutHourly'
--



--
-- Table structure for table 'ApplicationOutWeekly'
--

CREATE TABLE IF NOT EXISTS ApplicationOutWeekly (
  ID bigint(19) NOT NULL default '0',
  IF_ID int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ApplicationOutWeekly_FKZ_IDX (IF_ID),
  KEY AppsOutW_APP_ID_FK_IDX (APP_ID),
  CONSTRAINT `ApplicationOutWeekly_FKZ` FOREIGN KEY (`IF_ID`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `AppsOutW_APP_ID_FK` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ApplicationOutWeekly'
--



--
-- Table structure for table 'Conversation10Min'
--

CREATE TABLE IF NOT EXISTS Conversation10Min (
  ID bigint(19) NOT NULL default '0',
  SRC_ADDR_ID bigint(19) NOT NULL default '0',
  DST_ADDR_ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  PORT int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  IS_SRC int(10) NOT NULL default '0',
  IP_GROUP_ID int(10) default NULL,
  SRC_MASK int(10) NOT NULL default '0',
  DST_MASK int(10) NOT NULL default '0',
  NEXTHOP bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY Conversation10Min_FKZ_IDX (SRC_IF),
  KEY Conversation10Min_FKZ1_IDX (DST_IF),
  KEY Conv_APP_ID_FK_IDX (APP_ID),
  KEY Conv_IP_GROUP_ID_FK_IDX (IP_GROUP_ID),
  CONSTRAINT `FK_811117198071744` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_821117198071744` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_831117198071744` FOREIGN KEY (`APP_ID`) REFERENCES `ApplicationNames` (`APP_ID`) ON DELETE CASCADE,
  CONSTRAINT `FK_841117198071744` FOREIGN KEY (`IP_GROUP_ID`) REFERENCES `IPGroups` (`IP_GROUP_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'Conversation10Min'
--



--
-- Table structure for table 'Conversation24Hour'
--

CREATE TABLE IF NOT EXISTS Conversation24Hour (
  ID bigint(19) NOT NULL default '0',
  SRC_ADDR_ID bigint(19) NOT NULL default '0',
  DST_ADDR_ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  IS_SRC int(10) NOT NULL default '0',
  IP_GROUP_ID int(10) default NULL,
  SRC_MASK int(10) NOT NULL default '0',
  DST_MASK int(10) NOT NULL default '0',
  NEXTHOP bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY Conversation24Hour_FKZ_IDX (SRC_IF),
  KEY Conversation24Hour_FKZ1_IDX (DST_IF),
  CONSTRAINT `Conversation24Hour_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `Conversation24Hour_FKZ1` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'Conversation24Hour'
--



--
-- Table structure for table 'Conversation6Hour'
--

CREATE TABLE IF NOT EXISTS Conversation6Hour (
  ID bigint(19) NOT NULL default '0',
  SRC_ADDR_ID bigint(19) NOT NULL default '0',
  DST_ADDR_ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  IS_SRC int(10) NOT NULL default '0',
  IP_GROUP_ID int(10) default NULL,
  SRC_MASK int(10) NOT NULL default '0',
  DST_MASK int(10) NOT NULL default '0',
  NEXTHOP bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY Conversation6Hour_FKZ_IDX (SRC_IF),
  KEY Conversation6Hour_FKZ1_IDX (DST_IF),
  CONSTRAINT `Conversation6Hour_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `Conversation6Hour_FKZ1` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'Conversation6Hour'
--



--
-- Table structure for table 'ConversationHourly'
--

CREATE TABLE IF NOT EXISTS ConversationHourly (
  ID bigint(19) NOT NULL default '0',
  SRC_ADDR_ID bigint(19) NOT NULL default '0',
  DST_ADDR_ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  IS_SRC int(10) NOT NULL default '0',
  IP_GROUP_ID int(10) default NULL,
  SRC_MASK int(10) NOT NULL default '0',
  DST_MASK int(10) NOT NULL default '0',
  NEXTHOP bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ConversationHourly_FKZ_IDX (SRC_IF),
  KEY ConversationHourly_FKZ1_IDX (DST_IF),
  CONSTRAINT `ConversationHourly_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `ConversationHourly_FKZ1` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ConversationHourly'
--



--
-- Table structure for table 'ConversationWeekly'
--

CREATE TABLE IF NOT EXISTS ConversationWeekly (
  ID bigint(19) NOT NULL default '0',
  SRC_ADDR_ID bigint(19) NOT NULL default '0',
  DST_ADDR_ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  APP_ID int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  IS_SRC int(10) NOT NULL default '0',
  IP_GROUP_ID int(10) default NULL,
  SRC_MASK int(10) NOT NULL default '0',
  DST_MASK int(10) NOT NULL default '0',
  NEXTHOP bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY ConversationWeekly_FKZ_IDX (SRC_IF),
  KEY ConversationWeekly_FKZ1_IDX (DST_IF),
  CONSTRAINT `ConversationWeekly_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE,
  CONSTRAINT `ConversationWeekly_FKZ1` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'ConversationWeekly'
--



--
-- Table structure for table 'DstIf10Min'
--

CREATE TABLE IF NOT EXISTS DstIf10Min (
  ID bigint(19) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
 PACKETS bigint(19) NOT NULL default '0',
   COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
   PRIMARY KEY  (ID),
  KEY DstIf10Min_FKZ_IDX (DST_IF),
  CONSTRAINT `DstIf10Min_FKZ` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIf10Min'
--

--
-- Table structure for table 'DstIfPkt1Min'
--

CREATE TABLE IF NOT EXISTS `DstIfPkt1Min` (
  `ID` bigint(19) NOT NULL default '0',
  `Time1` bigint(19) NOT NULL default '0',
  `Time2` bigint(19) NOT NULL default '0',
  `Time3` bigint(19) NOT NULL default '0',
  `Time4` bigint(19) NOT NULL default '0',
  `Time5` bigint(19) NOT NULL default '0',
  `Time6` bigint(19) NOT NULL default '0',
  `Time7` bigint(19) NOT NULL default '0',
  `Time8` bigint(19) NOT NULL default '0',
  `Time9` bigint(19) NOT NULL default '0',
  `Time10` bigint(19) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `DstIfPkt1Min_FKZ_IDX` (`ID`),
  CONSTRAINT `DstIfPkt1Min_FKZ` FOREIGN KEY (`ID`) REFERENCES `DstIf10Min` (`ID`) ON DELETE CASCADE
) TYPE=InnoDB;


--
-- Dumping data for table 'DstIfPkt1Min'
--

--
-- Table structure for table 'DstIf1Min'
--

CREATE TABLE IF NOT EXISTS DstIf1Min (
  ID bigint(19) NOT NULL default '0',
  Time1 bigint(19) NOT NULL default '0',
  Time2 bigint(19) NOT NULL default '0',
  Time3 bigint(19) NOT NULL default '0',
  Time4 bigint(19) NOT NULL default '0',
  Time5 bigint(19) NOT NULL default '0',
  Time6 bigint(19) NOT NULL default '0',
  Time7 bigint(19) NOT NULL default '0',
  Time8 bigint(19) NOT NULL default '0',
  Time9 bigint(19) NOT NULL default '0',
  Time10 bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY DstIf1Min_FKZ_IDX (ID),
  CONSTRAINT `DstIf1Min_FKZ` FOREIGN KEY (`ID`) REFERENCES `DstIf10Min` (`ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIf1Min'
--



--
-- Table structure for table 'DstIf24Hour'
--

CREATE TABLE IF NOT EXISTS DstIf24Hour (
  ID bigint(19) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
   COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY DstIf24Hour_FKZ_IDX (DST_IF),
  CONSTRAINT `DstIf24Hour_FKZ` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIf24Hour'
--



--
-- Table structure for table 'DstIf6Hour'
--

CREATE TABLE IF NOT EXISTS DstIf6Hour (
  ID bigint(19) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
   COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY DstIf6Hour_FKZ_IDX (DST_IF),
  CONSTRAINT `DstIf6Hour_FKZ` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIf6Hour'
--



--
-- Table structure for table 'DstIfHourly'
--

CREATE TABLE IF NOT EXISTS DstIfHourly (
  ID bigint(19) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
   COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
   PRIMARY KEY  (ID),
  KEY DstIfHourly_FKZ_IDX (DST_IF),
  CONSTRAINT `DstIfHourly_FKZ` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIfHourly'
--



--
-- Table structure for table 'DstIfWeekly'
--

CREATE TABLE IF NOT EXISTS DstIfWeekly (
  ID bigint(19) NOT NULL default '0',
  DST_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY DstIfWeekly_FKZ_IDX (DST_IF),
  CONSTRAINT `DstIfWeekly_FKZ` FOREIGN KEY (`DST_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'DstIfWeekly'
--



--
-- Table structure for table 'MetaTable'
--

CREATE TABLE IF NOT EXISTS `MetaTable` (
  `TABLE_NAME` varchar(32) NOT NULL default '',
  `START_INDEX` bigint(19) NOT NULL default '0',
  `END_INDEX` bigint(19) NOT NULL default '0',
  `LOOKUP_TABLENAME` varchar(32) NOT NULL default '',
  `ARCHIVED_ID` bigint(19) NOT NULL default '0',
  `BUILD_NUMBER` int(10) NOT NULL default '7000',
  PRIMARY KEY  (`TABLE_NAME`,`START_INDEX`,`END_INDEX`),
  UNIQUE KEY `MetaTable_UK0` (`LOOKUP_TABLENAME`)
) TYPE=InnoDB;

--
-- Dumping data for table 'MetaTable'
--



--
-- Table structure for table 'SrcIf10Min'
--

CREATE TABLE IF NOT EXISTS SrcIf10Min (
  ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
  COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY SrcIf10Min_FKZ_IDX (SRC_IF),
  CONSTRAINT `SrcIf10Min_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIf10Min'
--

--
-- Table structure for table 'SrcIfPkt1Min'
--

CREATE TABLE IF NOT EXISTS `SrcIfPkt1Min` (
  `ID` bigint(19) NOT NULL default '0',
  `Time1` bigint(19) NOT NULL default '0',
  `Time2` bigint(19) NOT NULL default '0',
  `Time3` bigint(19) NOT NULL default '0',
  `Time4` bigint(19) NOT NULL default '0',
  `Time5` bigint(19) NOT NULL default '0',
  `Time6` bigint(19) NOT NULL default '0',
  `Time7` bigint(19) NOT NULL default '0',
  `Time8` bigint(19) NOT NULL default '0',
  `Time9` bigint(19) NOT NULL default '0',
  `Time10` bigint(19) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  KEY `SrcIfPkt1Min_FKZ_IDX` (`ID`),
  CONSTRAINT `SrcIfPkt1Min_FKZ` FOREIGN KEY (`ID`) REFERENCES `SrcIf10Min` (`ID`) ON DELETE CASCADE
) TYPE=InnoDB;


--
-- Dumping data for table 'SrcIfPkt1Min'
--


--
-- Table structure for table 'SrcIf1Min'
--

CREATE TABLE IF NOT EXISTS SrcIf1Min (
  ID bigint(19) NOT NULL default '0',
  Time1 bigint(19) NOT NULL default '0',
  Time2 bigint(19) NOT NULL default '0',
  Time3 bigint(19) NOT NULL default '0',
  Time4 bigint(19) NOT NULL default '0',
  Time5 bigint(19) NOT NULL default '0',
  Time6 bigint(19) NOT NULL default '0',
  Time7 bigint(19) NOT NULL default '0',
  Time8 bigint(19) NOT NULL default '0',
  Time9 bigint(19) NOT NULL default '0',
  Time10 bigint(19) NOT NULL default '0',
  PRIMARY KEY  (ID),
  KEY SrcIf1Min_FKZ_IDX (ID),
  CONSTRAINT `SrcIf1Min_FKZ` FOREIGN KEY (`ID`) REFERENCES `SrcIf10Min` (`ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIf1Min'
--



--
-- Table structure for table 'SrcIf24Hour'
--

CREATE TABLE IF NOT EXISTS SrcIf24Hour (
  ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
 PACKETS bigint(19) NOT NULL default '0',
    COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY SrcIf24Hour_FKZ_IDX (SRC_IF),
  CONSTRAINT `SrcIf24Hour_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIf24Hour'
--



--
-- Table structure for table 'SrcIf6Hour'
--

CREATE TABLE IF NOT EXISTS SrcIf6Hour (
  ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
  PACKETS bigint(19) NOT NULL default '0',
   COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY SrcIf6Hour_FKZ_IDX (SRC_IF),
  CONSTRAINT `SrcIf6Hour_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIf6Hour'
--



--
-- Table structure for table 'SrcIfHourly'
--

CREATE TABLE IF NOT EXISTS SrcIfHourly (
  ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
 PACKETS bigint(19) NOT NULL default '0',
    COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY SrcIfHourly_FKZ_IDX (SRC_IF),
  CONSTRAINT `SrcIfHourly_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIfHourly'
--



--
-- Table structure for table 'SrcIfWeekly'
--

CREATE TABLE IF NOT EXISTS SrcIfWeekly (
  ID bigint(19) NOT NULL default '0',
  SRC_IF int(10) NOT NULL default '0',
  OCTETS bigint(19) NOT NULL default '0',
 PACKETS bigint(19) NOT NULL default '0',
    COLLECTION_TIME timestamp(14) NOT NULL,
  MIN_OCTETS bigint(19) NOT NULL default '0',
  MAX_OCTETS bigint(19) NOT NULL default '0',
  AVG_OCTETS bigint(19) NOT NULL default '0',
    PRIMARY KEY  (ID),
  KEY SrcIfWeekly_FKZ_IDX (SRC_IF),
  CONSTRAINT `SrcIfWeekly_FKZ` FOREIGN KEY (`SRC_IF`) REFERENCES `IDGen` (`UNQ_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table 'SrcIfWeekly'
--


--
-- Table structure for table 'RawMetaTable'
--

CREATE TABLE IF NOT EXISTS `RawMetaTable` (
  `START_INDEX` bigint(19) NOT NULL default '0',
  `END_INDEX` bigint(19) NOT NULL default '0',
  `LOOKUP_TABLENAME` varchar(32) NOT NULL default '',
  `DEVICE_ID` bigint(19) NOT NULL default '-1',
  PRIMARY KEY  (`LOOKUP_TABLENAME`,`START_INDEX`,`END_INDEX`),
  UNIQUE KEY `RawMetaTable_UK0` (`LOOKUP_TABLENAME`)
) TYPE=InnoDB;

--
-- Table structure for table 'NBAR_MetaTable'
--

CREATE TABLE IF NOT EXISTS `NBAR_MetaTable` (
  `START_INDEX` bigint(19) NOT NULL default '0',
  `END_INDEX` bigint(19) NOT NULL default '0',
  `LOOKUP_TABLENAME` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`START_INDEX`,`END_INDEX`),
  UNIQUE KEY `NBAR_MetaTable_UK0` (`LOOKUP_TABLENAME`)
) TYPE=InnoDB;

--
-- Table structure for table 'FileMetaTable'
--
CREATE TABLE `FileMetaTable` (
`ID` int(10) NOT NULL default '0',
`INTERFACE_ID` int(10) NOT NULL default '0',
`START_INDEX` bigint(19) NOT NULL default '0',
`END_INDEX` bigint(19) NOT NULL default '0',
`FILENAME` varchar(255) NOT NULL default '',
`BUILD_NUMBER` int(10) NOT NULL default '7000',
PRIMARY KEY  (`ID`),UNIQUE KEY `FileMetaTable_UK0` (`FILENAME`)
) TYPE=InnoDB;


