@echo off
rem $Id: DBInfo.bat,v 1.5 2010/03/30 09:27:45 kcraghu Exp $
set DB_PORT=33307
cd ..\bin
call .\setCommonEnv.bat
cd ..\troubleshooting

if "%NEW_SERVER_HOME%" == "" set NEW_SERVER_HOME=%SERVER_HOME%

set TABLELIST=tables.list
set TEMPFILE=temp.list
set TEMPFILE1=temp1.list
set LOGFILE=%SERVER_HOME%\troubleshooting\info.log
set BUILDLOG=%SERVER_HOME%\troubleshooting\BuildNumber.log
set DBNAME="mickeylite"
set USERNAME="root"
set PASSWORD=""
set MYSQLEXE=%NEW_SERVER_HOME%\mysql\bin\mysql
set PORT=--port=%DB_PORT%
set SRC_1MIN=SrcIf1Min
set DST_1MIN=DstIf1Min
set SRC_PKT1MIN=SrcIfPkt1Min
set DST_PKT1MIN=DstIfPkt1Min	
set MYSQLSTRING=%MYSQLEXE% %PORT% -u %USERNAME% %PASSWORD% %DBNAME% 
echo %MYSQLSTRING%
rem call ..\bin\startDB.bat

rem -------------------------------------------------------------------------
rem check the server status
rem -------------------------------------------------------------------------
set errmsg="Netflow server not running. Please ensure that the NetFlow Analyzer Server is running before running this script"

rem set LOCKFILE=..\server\default\log\serverout0.txt.lck

rem set JAVA_HOME=..\jre

rem set NETFLOW_HOME=../server/default/conf/sample-bindings.xml
rem set UTIL_CLASSPATH=../server/default/lib/NetFlowUtils.jar;
rem set JAVA=%JAVA_HOME%\bin\java


set ERRORLEVEL=
rem %JAVA% "-Dcontext=netflow" -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1
rem set e=%ERRORLEVEL%
rem if %e% EQU -2  goto ERRMSG
rem if not exist %LOCKFILE% goto ERRMSG


rem -------------------------------------------------------------------------
rem removing the old log file
rem -------------------------------------------------------------------------
if exist %LOGFILE% del %LOGFILE% 
if exist %BUILDLOG% del %BUILDLOG%
 
rem -------------------------------------------------------------------------
rem removing the old table list file
rem -------------------------------------------------------------------------
if exist %TABLELIST% del %TABLELIST% 

rem -------------------------------------------------------------------------
rem removing the old temp file
rem -------------------------------------------------------------------------
if exist %TEMPFILE% del %TEMPFILE% 
if exist %TEMPFILE1% del %TEMPFILE1%
rem -------------------------------------------------------------------------
rem Checking the password. If no password, mysql string is changed .
rem else proceed with select tables.
rem ------------------------------------------------------------------------
if %PASSWORD% == "" goto NULLCHECK
goto SELECTTABLES

rem -------------------------------------------------------------------------
rem Changing the mysql string.
rem ------------------------------------------------------------------------
:NULLCHECK
set MYSQLSTRING=%MYSQLEXE% %PORT% -u %USERNAME% %DBNAME% 
goto SELECTTABLES

rem -------------------------------------------------------------------------
rem Selecting the tables
rem ------------------------------------------------------------------------
:SELECTTABLES
echo select BUILD_NUMBER from NetFlow_Properties | %MYSQLSTRING% >> %BUILDLOG%
echo select LOOKUP_TABLENAME from MetaTable | %MYSQLSTRING% >> %TEMPFILE%
echo select LOOKUP_TABLENAME ,max(END_INDEX) from RawMetaTable group by DEVICE_ID | %MYSQLSTRING% >> %TEMPFILE1%

goto REWRITE

rem -------------------------------------------------------------------------
rem Removing the first entry from the temp.list file and creating new file.
rem then proceed to removetables.
rem ------------------------------------------------------------------------
:REWRITE
findstr /V "LOOKUP_TABLENAME" %TEMPFILE% >> %TABLELIST%
findstr /V "LOOKUP_TABLENAME" %TEMPFILE1% >> %TABLELIST%
goto ROWCOUNT


rem -------------------------------------------------------------------------
rem Processing the tables list to get count
rem ------------------------------------------------------------------------
:ROWCOUNT
echo ------------------------------------------------------------------------
echo Started collection based on list file
echo ------------------------------------------------------------------------
echo %date%-%time% Started db info collection  >> %LOGFILE% 2>&1
echo =======================================================================>> %LOGFILE% 2>&1

for /f %%f in (%TABLELIST%) do call :GETTABLEINFO %%f
goto COMPLETED

rem -------------------------------------------------------------------------
rem get table info
rem ------------------------------------------------------------------------
:GETTABLEINFO
echo %1 - %time%:%date%  >> %LOGFILE% 2>&1
if %1 == %SRC_1MIN% goto ONE_MIN
if %1 == %DST_1MIN% goto ONE_MIN
if %1 == %SRC_PKT1MIN% goto ONE_MIN
if %1 == %DST_PKT1MIN% goto ONE_MIN
echo select count(*),MIN(COLLECTION_TIME),MAX(COLLECTION_TIME) from  %1 | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR %1
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
echo Info obtained for  %1
goto STOP

:ONE_MIN
echo select count(*) from  %1 | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR %1
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
echo Info obtained for  %1
goto STOP

:GETCOUNTALONE
echo %1 - %time%:%date%  >> %LOGFILE% 2>&1
echo select count(*) from  %1 | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR %1
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
echo Info obtained for  %1
goto STOP

:GETNBARCONFIG
echo Polling enabled interfaces - %time%:%date%  >> %LOGFILE% 2>&1
echo select count(*) from NetFlow_Interface where POLL_STATE = 0 | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR Poll enabled interfaces
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
echo Info obtained for Poll enabled interfaces
echo Polling interval - %time%:%date%  >> %LOGFILE% 2>&1
echo select SNMP_POLL_INTERVAL from NetFlow_Properties | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR Polling interval
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
echo Info obtained for Polling interval
goto STOP
rem -------------------------------------------------------------------------
rem Raw tables list
rem ------------------------------------------------------------------------
:GETRAWTABLES
echo RawTables >> %LOGFILE% 2>&1
echo select LOOKUP_TABLENAME from RawMetaTable | %MYSQLSTRING% >> %LOGFILE% 2>&1
set ERRORLEVEL=%errorlevel%
if ERRORLEVEL 1 goto ERROR %1
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
goto STOP

rem -------------------------------------------------------------------------
rem Error Message
rem ------------------------------------------------------------------------
:ERRMSG
echo %errmsg%
goto STOP


rem -------------------------------------------------------------------------
rem Error in dropping the table
rem ------------------------------------------------------------------------	 
:ERROR
echo Unable to get count of %1
echo %date%-%time% Unable to get count of  %1 >> %LOGFILE% 2>&1
echo -----------------------------------------------------------------------  >> %LOGFILE% 2>&1
goto STOP


:GETDBSIZE
echo DataBase size  >> %LOGFILE% 2>&1
dir %NEW_SERVER_HOME%\mysql\data   >> %LOGFILE% 2>&1
goto STOP

:COMPLETED
call :GETCOUNTALONE NetFlow_Interface
call :GETCOUNTALONE NetFlow_Router
call :GETCOUNTALONE IPGroups
call :GETCOUNTALONE AlertProfile
call :GETCOUNTALONE ScheduleDetails
call :GETCOUNTALONE BusinessView
call :GETCOUNTALONE NBAR_MetaTable
call :GETNBARCONFIG
call :GETRAWTABLES
call :GETDBSIZE
echo =======================================================================>> %LOGFILE% 2>&1
echo ------------------------------------------------------------------------
echo COMPLETED. See %LOGFILE% for more details
echo ------------------------------------------------------------------------

rem call ..\bin\stopDB.bat

:STOP
