@echo off

cls

cd ..

set HOME_DIR=%CD%

set DB='%%db'

set name=

set DBLIST=%HOME_DIR%\DBinfo.txt

set TEMPFILE=%HOME_DIR%\tempfile

set DB_PORT=33306

set FILENAME=config_backup_%date:~10,4%%date:~4,2%%date:~7,2%%time:~0,2%%time:~3,2%%time:~6,2%.zip

call .\bin\setCommonenv.bat

rem set ERRORLEVEL

set NETFLOW_HOME=%HOME_DIR%/conf/server.xml

set UTIL_CLASSPATH=%HOME_DIR%/lib/NFACS.jar

%JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.NFClientUtil %NETFLOW_HOME% 1

set e=%ERRORLEVEL%

if %e% NEQ -2  goto stop

set DB_HOME=%HOME_DIR%\mysql

set MYSQLSTRING=%DB_HOME%\bin\mysql --port=%DB_PORT% -u root

set PINGSTR=%DB_HOME%\bin\mysqladmin ping --port=%DB_PORT% -u root

cd bin

echo Backing up the configuration................

:STARTDB



	call .\startDB.bat %DB_PORT%

	%PINGSTR% >> NUL 2>&1

	if %errorlevel% NEQ 0 goto STARTDB



echo show databases like %DB% | %MYSQLSTRING% > %TEMPFILE% 2>&1

if %errorlevel% NEQ 0 goto STOPDB



set DB_HOME=%HOME_DIR%\mysql

findstr /V "Database" %TEMPFILE% > %DBLIST%

for /F %%G in (%DBLIST%) do call :GETSQLFILE %%G %DB_PORT%



IF NOT EXIST %DBLIST% goto STOPDB

	%DB_HOME%\bin\mysqldump --port=%DB_PORT% -u root --add-drop-table jbossdb MetaTable NBAR_MetaTable RawMetaTable Conversation10Min Conversation24Hour Conversation6Hour ConversationHourly ConversationWeekly ApplicationIn10Min ApplicationIn24Hour ApplicationIn6Hour ApplicationInHourly ApplicationInWeekly ApplicationMetaData ApplicationOut10Min ApplicationOut24Hour ApplicationOut6Hour ApplicationOutHourly ApplicationOutWeekly DstIf10Min DstIf1Min DstIf24Hour DstIf6Hour DstIfHourly DstIfPkt1Min DstIfWeekly SrcIf10Min SrcIf1Min SrcIf24Hour SrcIf6Hour SrcIfHourly SrcIfPkt1Min SrcIfWeekly QosIn10Min QosInHourly QosIn6Hour QosIn24Hour QosInWeekly QosOut10Min QosOutHourly QosOut6Hour QosOut24Hour QosOutWeekly QosMatchIn10Min QosMatchInHourly QosMatchIn6Hour QosMatchIn24Hour QosMatchInWeekly QosMatchOut10Min QosMatchOutHourly QosMatchOut6Hour QosMatchOut24Hour QosMatchOutWeekly >%HOME_DIR%\DefaultEntry.sql



IF NOT EXIST .\..\hsdb.sql goto ZIPPROCESS

	echo  Backing up the configuration for hsdb 

	%DB_HOME%\bin\mysqldump --port=%DB_PORT% -u root --add-drop-table --databases hsdb > %HOME_DIR%\hsdb.sql



:ZIPPROCESS

set name=DefaultEntry.sql %DBLIST% 

for /F %%f in (%DBLIST%) do call :GETFILE %%f   



rem IF NOT EXIST .\..\ConfigBackup.zip goto CREATEZIP

rem del /Q .\..\ConfigBackup.zip



:CREATEZIP

cd ..

%JAVA% -cp %UTIL_CLASSPATH% com.adventnet.netflow.dbutils.ZipbackConfiguration %FILENAME% zip %name% temp\runtimeconf conf\NetFlow\googleKey.conf



del /Q %name% %TEMPFILE%        



:STOPDB

call .\bin\stopDB.bat

cd troubleshooting

goto msg



:stop

cd troubleshooting

echo NetFlow Server is currently running. Please shut down the server to run this script.

goto end

:msg

echo The configuration file successfully created

echo The configuration backup is in folder  NetFlowCentral-Home/%FILENAME%

echo To restore the configuration file, Copy the %FILENAME% into the  New NetFlowCentral-Home and restore it by executing restoreConfig.sh with %FILENAME% as arguement 

echo Usage restoreConfig.bat %FILENAME%

goto end

:GETFILE

set name=%name% %1.sql

goto end



:GETSQLFILE



set DBNAME=%1



IF NOT "%DBNAME%"=="hsdb" goto WRITESQL

echo hsdb > .\..\hsdb.sql

goto end



:WRITESQL

echo  Backing up the configuration for %DBNAME%

set PORT=%2

rem echo %DBNAME% >> .\..\DBinfo.txt



	%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% AaaAccAdminProfile AaaAccBadLoginStatus AaaAccHttpSession AaaAccOldPassword AaaAccOwnerProfile AaaAccPassword AaaAccSession AaaAccSessionAudit AaaAccSessionProp AaaAccUserProfile AaaAccount AaaAccountOwner AaaAccountStatus AaaAce AaaAuthorizedRole AaaContactInfo AaaDisableAuth AaaEnvironmentEntry AaaGenderHonorific AaaImpliedByTableColumn AaaImpliedPermission AaaImpliedRole AaaImpliedTableColumn AaaLogin AaaMethodParams AaaMethodPermission AaaModuleService AaaOrgContactInfo AaaOrgContactUser AaaOrgDetail AaaOrgPostalAddr AaaOrgStatus AaaOrgUser AaaOrganization AaaPamConf AaaPamModule AaaPamModuleOption AaaPassword AaaPasswordHint > %HOME_DIR%\"%DBNAME%".sql



%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% AaaPasswordProfile AaaPasswordRule AaaPasswordStatus AaaPermission AaaPostalAddress AaaRole AaaRoleCategory AaaRoleOwner AaaRoleToCategory AaaService AaaServicePasswordRule AaaSimplePermission AaaTableAccessSPI AaaTablePermission AaaTableReadPermission AaaTableUpdatePermission AaaTrustedRole AaaUser AaaUserConfigRecord AaaUserContactInfo AaaUserPostalAddr AaaUserProfile AaaUserProperty AaaUserStatus ActiveDirectoryInfo AdventNetErrorCode AlertProfile AlertProfileToDevice AlertThreshold AllowedPattern AllowedValues AppGroupInfo AppGroupMap ApplicationCriteria ApplicationNames >> %HOME_DIR%\"%DBNAME%".sql



%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% ApplicationServer AuditConfig AuditConfigProperty AuditLevel AuditNotifyCriteria AuditOperProperty AuditRecord AuditResourceProp AuditResultProperty AuditSeverityLevel AuditTableConfig AuditUserProperty AutonomousSystems Bean BeanInterceptor BeanProperties BusinessView BussDeviceMap Calendar Calendar_Periodicity CollectorDataSpaceMap Collector_Info ColumnDetails Composite ConfFile ConfFileToModule ConfMetaTable ConstituentTable ConstraintDefinition CorporateCustomers Criteria CustomCollectorInterfaceMap CustomHandler CustomerDatabase DBAdapter DBCluster DGCleanup DNSNameMap DataBackup DataSource DataSpaceIfcCount DatabaseDrivers Default_Task_Input DominantTableConfig >> %HOME_DIR%\"%DBNAME%".sql



%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME%	DscpMap EmailNotification FKColumnDefinition FKDefinition FileHandler FullBackup GridAddress GridAudit GridClusterFailureAudit GridClusterProvisioningAudit GridClusterServices GridClusterSnapshot GridClusterUpgAudit GridConfiguration GridConnectionAudit GridDBBackupFailureAudit GridDGComponentAudit GridDGFailureAudit GridDataGrowth GridDataGrowthAudit GridExceptionTraceAudit GridFSPartition GridFailureAudit GridFailureMonAudit GridLatestSWVersion GridNetworkRange GridNodes GridProvisioningAudit GridReplacementPref GridResources GridSWUpgradeDetails GridSWUpgrades GridSWVerionGroup GridServerUpgAudit GridServiceTaskInput GridServices GridSoftwareVersion GridUpgradeAudit GridVirtualNode GridWebTransactionAudit GroupInfo GroupRouterMap GrpAppID >> %HOME_DIR%\"%DBNAME%".sql





%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% GrpIPAddress GrpIPNetwork GrpIPRange GrpInterfaceID GrpPortRange Handler HeartBeat HeartBeatMonitor I18nCreatedBy I18nCurrUserLocale I18nLanguageCountry I18nLocalMsg I18nLocale I18nMessage I18nPublicLocalMsg I18nTranslator IDGen IPGroups IncrementalBackup IndexDefinition JoinColumns JoinCriteria JoinRelCriteria JoinTable LinkDownAlertProfile LinkDownAlertRecord LinkDownAlertToDevice Logger MailServerSettings MasterSlaveInfo Module ModuleContext MsSQLErrorCode MySQLErrorCode NBAR_DATA NetFlow_AS NetFlow_Interface NetFlow_Properties NetFlow_Router NonSegmentedTables OffLineAccountDetails OffLineAccounts OffLineDBCount OperationAuditRecord OracleErrorCode PKDefinition Periodic PersonalityConfiguration PgSQLErrorCode PortProtocolCriteria ProtocolMap >> %HOME_DIR%\"%DBNAME%".sql



%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% RangeValues RawFileStore RelationalCriteria ReportDetails RouterDataSpaceMap Router_NBAR_Protocols Router_Snmp_Map SASOrgUser SASRole SASURL SASUserAccounts SB_Applications SQGeneration SchAppCriteria SchIPAddress SchIPNetwork SchIPRange SchPortProtocolCriteria SchStatus SchToSchedulerMap Schedule ScheduleAssignments ScheduleDetails ScheduleToDeviceMap Schedule_Audit Schedule_Properties Scheduled_Task SelectColumn SelectQuery SelectSQLString SelectTable SeqGenState SeqState ServerStatus Service ServiceGridInfo ServiceProperties Snmp_Connection SortColumn SystemTemplateHandler System_Properties TableDSMap TableDetails Tabs_Populated_ByXml TaskEngine_Task Task_Input TrapNotification UVHValues UniqueKeyDefinition UserDomains Users_TZone V3_Connection VirtualNodeTaskInput WebResource Working_Hours ZohoServices ZohoUrl RawFileMap DataFileMap RealDataFileMap CBQos_Properties Alert_Properties RadiusServerSettings User_Defined_Names FlowFilter DscpGroupInfo DscpGroupMap >> %HOME_DIR%\"%DBNAME%".sql



%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% IPGroupsBandWidth InputMinute QosPolicyUpdateTime  DashBoardViewSetting QosIdGen QosConfigPolicyDetails QosClassDetails QosChildPolicyDetails QosMatchStmtDetails QosQueueDetails QosPoliceDetails QosTsDetails QosSetDetails >> %HOME_DIR%\"%DBNAME%".sql

%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table %DBNAME% BillPlan BillPlanSchedulerMap BillDeviceMap BillCostDetails BillReportingTable CostUnit BillAlertMap >> %HOME_DIR%\"%DBNAME%".sql

%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table -d %DBNAME% EventRecord Interface_Utilization ScheduleReport DeleteRawMetaTable >> %HOME_DIR%\"%DBNAME%".sql



IF "%DBNAME%"=="jbossdb" goto GETDATA

	%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table -d jbossdb Gmap_Locations AppidGen >> %HOME_DIR%\"%DBNAME%".sql

goto end



:GETDATA

	%DB_HOME%\bin\mysqldump --port=%PORT% -u root --add-drop-table jbossdb Gmap_Locations AppidGen >> %HOME_DIR%\"%DBNAME%".sql





:end

