clear

. ./../bin/setCommonEnv.sh
w=`cd ..;pwd`
export host=localhost
export CONF_FILE=$w/conf/server.xml
export UTIL_CLASSPATH=$w/lib/NFACS.jar
export FILENAME=config_backup_`date +%Y%m%d%H%M%S`.zip

export mysql=$DB_HOME/bin/"mysql -h $host -u root -P 33306 -S ../mysql/tmp/mysql.sock"
$JAVA -cp $UTIL_CLASSPATH com.adventnet.netflow.dbutils.NFClientUtil $CONF_FILE 1
 if [ $? -ne 254 ]
      then
       info="NetFlow Server is currently running. Please shut down the server to run this script."
       echo $info
       exit 1
      fi

mysqlStartupCheck()
{
	mysqlstate=`$DB_HOME/bin/mysqladmin ping -S $DB_HOME/tmp/mysql.sock 2>/dev/null | awk '{print($3)}'`
	
	if [ "$mysqlstate" == "alive" ]  
	then
		return 0
	else
		return 1
	fi
}

waitTillMysqlStarts()
{
	while true
	do
		mysqlStartupCheck
		if [ $? -ne 1  ]
		then
			return
		else
			sleep 1
		fi
	done
}

#mysqlStartupCheck
#if [ $? -eq 0 ]
#then
#echo "NetFlow Server is currently running. Please shut down the server to run this script."
#exit 0
#fi

cd ../bin/

mysqlStartupCheck
if [ $? -eq 1 ]
then
	. ./startDB.sh 33306 $PWD/../mysql/tmp &
	waitTillMysqlStarts
fi

rm -f $w/DBinfo.txt

echo "Backing up Configuration........."

	list=`echo "show databases like '%db'" | $mysql| grep -v Database`
	name=""
	for db in $list
	do
		echo $db >> $w/DBinfo.txt
		
		name=$name"$db.sql "
		echo "Backing configuration for " $db
		if [ "$db" != "hsdb" ]
		then
		
	
	$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table --add-drop-database $db AaaAccAdminProfile AaaAccBadLoginStatus AaaAccHttpSession AaaAccOldPassword AaaAccOwnerProfile AaaAccPassword AaaAccSession AaaAccSessionAudit AaaAccSessionProp AaaAccUserProfile AaaAccount AaaAccountOwner AaaAccountStatus AaaAce AaaAuthorizedRole AaaContactInfo AaaDisableAuth AaaEnvironmentEntry AaaGenderHonorific AaaImpliedByTableColumn AaaImpliedPermission AaaImpliedRole AaaImpliedTableColumn AaaLogin AaaMethodParams AaaMethodPermission AaaModuleService AaaOrgContactInfo AaaOrgContactUser AaaOrgDetail AaaOrgPostalAddr AaaOrgStatus AaaOrgUser AaaOrganization AaaPamConf AaaPamModule AaaPamModuleOption AaaPassword AaaPasswordHint AaaPasswordProfile AaaPasswordRule AaaPasswordStatus AaaPermission AaaPostalAddress AaaRole AaaRoleCategory AaaRoleOwner AaaRoleToCategory AaaService AaaServicePasswordRule AaaSimplePermission AaaTableAccessSPI AaaTablePermission AaaTableReadPermission AaaTableUpdatePermission AaaTrustedRole AaaUser AaaUserConfigRecord AaaUserContactInfo AaaUserPostalAddr AaaUserProfile AaaUserProperty AaaUserStatus ActiveDirectoryInfo AdventNetErrorCode AlertProfile AlertProfileToDevice AlertThreshold AllowedPattern AllowedValues AppGroupInfo AppGroupMap ApplicationCriteria ApplicationNames ApplicationServer AuditConfig AuditConfigProperty AuditLevel AuditNotifyCriteria AuditOperProperty AuditRecord AuditResourceProp AuditResultProperty AuditSeverityLevel AuditTableConfig AuditUserProperty AutonomousSystems Bean BeanInterceptor BeanProperties BusinessView BussDeviceMap Calendar Calendar_Periodicity CollectorDataSpaceMap Collector_Info ColumnDetails Composite ConfFile ConfFileToModule ConfMetaTable ConstituentTable ConstraintDefinition CorporateCustomers Criteria CustomCollectorInterfaceMap CustomHandler CustomerDatabase DBAdapter DBCluster DGCleanup DNSNameMap DataBackup DataSource DataSpaceIfcCount DatabaseDrivers Default_Task_Input DominantTableConfig DscpMap EmailNotification FKColumnDefinition FKDefinition FileHandler FullBackup GridAddress GridAudit GridClusterFailureAudit GridClusterProvisioningAudit GridClusterServices GridClusterSnapshot GridClusterUpgAudit GridConfiguration GridConnectionAudit GridDBBackupFailureAudit GridDGComponentAudit GridDGFailureAudit GridDataGrowth GridDataGrowthAudit GridExceptionTraceAudit GridFSPartition GridFailureAudit GridFailureMonAudit GridLatestSWVersion GridNetworkRange GridNodes GridProvisioningAudit GridReplacementPref GridResources GridSWUpgradeDetails GridSWUpgrades GridSWVerionGroup GridServerUpgAudit GridServiceTaskInput GridServices GridSoftwareVersion GridUpgradeAudit GridVirtualNode GridWebTransactionAudit GroupInfo GroupRouterMap GrpAppID GrpIPAddress GrpIPNetwork GrpIPRange GrpInterfaceID GrpPortRange Handler HeartBeat HeartBeatMonitor I18nCreatedBy I18nCurrUserLocale I18nLanguageCountry I18nLocalMsg I18nLocale I18nMessage I18nPublicLocalMsg I18nTranslator IDGen IPGroups IncrementalBackup IndexDefinition JoinColumns JoinCriteria JoinRelCriteria JoinTable LinkDownAlertProfile LinkDownAlertRecord LinkDownAlertToDevice Logger MailServerSettings MasterSlaveInfo Module ModuleContext MsSQLErrorCode MySQLErrorCode NBAR_DATA NetFlow_AS NetFlow_Interface NetFlow_Properties NetFlow_Router NonSegmentedTables OffLineAccountDetails OffLineAccounts OffLineDBCount OperationAuditRecord OracleErrorCode PKDefinition Periodic PersonalityConfiguration PgSQLErrorCode PortProtocolCriteria ProtocolMap RangeValues RawFileStore RelationalCriteria ReportDetails RouterDataSpaceMap Router_NBAR_Protocols Router_Snmp_Map SASOrgUser SASRole SASURL SASUserAccounts SB_Applications SQGeneration SchAppCriteria SchIPAddress SchIPNetwork SchIPRange SchPortProtocolCriteria SchStatus SchToSchedulerMap Schedule ScheduleAssignments ScheduleDetails ScheduleToDeviceMap Schedule_Audit Schedule_Properties Scheduled_Task SelectColumn SelectQuery SelectSQLString SelectTable SeqGenState SeqState ServerStatus Service ServiceGridInfo ServiceProperties Snmp_Connection SortColumn SystemTemplateHandler System_Properties TableDSMap TableDetails Tabs_Populated_ByXml TaskEngine_Task Task_Input TrapNotification UVHValues UniqueKeyDefinition UserDomains Users_TZone V3_Connection VirtualNodeTaskInput WebResource Working_Hours ZohoServices ZohoUrl RawFileMap DataFileMap RealDataFileMap CBQos_Properties Alert_Properties RadiusServerSettings User_Defined_Names FlowFilter DscpGroupInfo DscpGroupMap> $w/$db.sql

	$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table $db IPGroupsBandWidth InputMinute QosPolicyUpdateTime  DashBoardViewSetting QosIdGen QosConfigPolicyDetails QosClassDetails QosChildPolicyDetails QosMatchStmtDetails QosQueueDetails QosPoliceDetails QosTsDetails QosSetDetails >> $w/$db.sql

	 $PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table $db BillPlan BillPlanSchedulerMap BillDeviceMap BillCostDetails BillReportingTable CostUnit BillAlertMap >> $w/$db.sql

	$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table -d $db Interface_Utilization EventRecord ScheduleReport DeleteRawMetaTable >> $w/$db.sql

	if [ $db != "jbossdb" ]
	then
		$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table -d jbossdb Gmap_Locations AppidGen >> $w/$db.sql

	else
		$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table jbossdb Gmap_Locations AppidGen >> $w/$db.sql

	fi

	
	else
		$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table --databases $db > $w/$db.sql
	fi

	done
	
	if test -f $w/DBinfo.txt
	then
	$PWD/../mysql/bin/mysqldump -u root -S $DB_HOME/tmp/mysql.sock --add-drop-table jbossdb MetaTable NBAR_MetaTable RawMetaTable Conversation10Min Conversation24Hour Conversation6Hour ConversationHourly ConversationWeekly ApplicationIn10Min ApplicationIn24Hour ApplicationIn6Hour ApplicationInHourly ApplicationInWeekly ApplicationMetaData ApplicationOut10Min ApplicationOut24Hour ApplicationOut6Hour ApplicationOutHourly ApplicationOutWeekly DstIf10Min DstIf1Min DstIf24Hour DstIf6Hour DstIfHourly DstIfPkt1Min DstIfWeekly SrcIf10Min SrcIf1Min SrcIf24Hour SrcIf6Hour SrcIfHourly SrcIfPkt1Min SrcIfWeekly QosIn10Min QosInHourly QosIn6Hour QosIn24Hour QosInWeekly QosOut10Min QosOutHourly QosOut6Hour QosOut24Hour QosOutWeekly QosMatchIn10Min QosMatchInHourly QosMatchIn6Hour QosMatchIn24Hour QosMatchInWeekly QosMatchOut10Min QosMatchOutHourly QosMatchOut6Hour QosMatchOut24Hour QosMatchOutWeekly > $w/DefaultEntry.sql
	
	name=$name"DefaultEntry.sql "
        fi 

	. ./stopDB.sh 33306

	cd ..

	#if test -f ./../ConfigBackup.zip
	#then
		#rm -f ./../ConfigBackup.zip
	#fi

  #echo $name
# zip -r ./../$FILENAME ./../DBinfo.txt $name ./../temp/runtimeconf ./../conf/NetFlow/googleKey.conf

$JAVA -cp lib/NFACS.jar com.adventnet.netflow.dbutils.ZipbackConfiguration $FILENAME zip DBinfo.txt temp/runtimeconf conf/NetFlow/googleKey.conf $name 
 rm -f $name DBinfo.txt 
cd troubleshooting

echo "Configuration is backed up successfully"
echo "The configuration backup is in folder <NetFlowCentral-Home>/$FILENAME"
echo "To restore the configuration file, Copy the $FILENAME into the  New <NetFlowCentral-Home> and restore it by executing restoreConfig.sh with $FILENAME as arguement"
echo "Usage sh restoreConfig.sh $FILENAME"

