// $Id: util.js,v 1.2 2010/01/28 13:52:40 akileshwari Exp $
function isInteger(str)
{
  /****************************************************************
        input   : str
        purpose : check if number is integer
        output  : returns true or false
  *****************************************************************/
  var objRegExp = /(^-?\d\d*$)/;
  return objRegExp.test(str);
}

function isIpAddress(str)
{
  /***************************************************************
	input   : str
	purpose : To check the ip Address
	output  : returns true or false
  *****************************************************************/
	
	
  // we removed the usage of regular expression
  // as some of the browsers ( NN in Sun OS )
  // crashes when doing this validation.
  // now we use simple check for doing the same.

  var ipAddress = str.split(".");
  if(ipAddress.length != 4)
  {
    return false;
  }
  for(i=0;i<ipAddress.length;i++)
  {
    if(isPositiveInteger(ipAddress[i]))
    {

      var temp = parseInt(ipAddress[i],10);
      if(temp > 255)
      {
        return false;
      }
    }
    else
    {
      return false;
    }

  }
  return true;
}

 function trimAll(str)
{
  /*************************************************************
        Input Parameter :str
        Purpose         : remove all white spaces in front and back of string
        Return          : str with  white spaces
  ***************************************************************/
  if(str == null)
  {
    return "";
  }

  //check for all spaces
  var objRegExp =/^(\s*)$/;
  if (objRegExp.test(str))
  {
    str = str.replace(objRegExp,'');
    if (str.length == 0)
      return str;
  }

  // check for leading and trailling spaces
  objRegExp = /^(\s*)([\W\w]*)(\b\s*$)/;
  if(objRegExp.test(str))
  {
    str = str.replace(objRegExp, '$2');
  }
  return str;
}

function ipAddrtoLong(str)
{
	addr = str.split(".");
	
	laddr = 0;
	for (var i=0;i<4;i++) laddr = laddr | ( (addr[i]) << (8*(3-i)) );
	return laddr;

}
function isPositiveInteger(str)
{
  var temp  = parseInt(str,10);
  if ( isNaN(temp) || temp.toString().length != str.length) {
    return false;
  }
  var objRegExp = /(^\d\d*$)/;
  return objRegExp.test(temp);
}

function isEmpty(str)
{   
	return ((str == null) || (str.length == 0))
}

function validateEmailAddresses(StrObj)
{

	var e=StrObj;
	var s=e.split(',');
	var emailsArray = StrObj.match(/([a-zA-Z0-9._-]+@[a-zA-Z0-9._-]+\.[a-zA-Z0-9._-]+)/gi);
	if(emailsArray==null)
	{
		return false;
	}
	if (emailsArray.length==s.length)
	{
		return true;
	}else
	{

		return false;
	}
}
function isSignedFloat(s)
{   
	var reSignedFloat = /^(((\+|-)?\d+(\.\d*)?)|((\+|-)?(\d*\.)?\d+))$/;
        return reSignedFloat.test(s)
    
}

function setClassFocus(thishObject){
	thishObject.className='inputFocus';
}
function releaseClassFocus(thishObject){
	thishObject.className='bInputBox';
}

function popupWindow(popURL, popName, popWidth, popHeight, scroll, resizable){
	if(browser_ie){
		var sWidth = (screen.width - popWidth)/2;
		var sHeight = (screen.height - popHeight)/2;
	}
	else{
		var sWidth = (outerWidth - popWidth)/2;
		var sHeight = (outerHeight - popHeight)/2;
	}
	holdings = 'height='+popHeight+',width='+popWidth+',top='+sHeight+',left='+sWidth+',scrollbars='+scroll+',resizable=';
	popup = window.open(popURL, popName, holdings);
	popup.window.focus(); 
}
function closeWindow(winName){
	winName.close();
	return false;
}



